Bug 487416 - sosplugin to collect the details on cron including the system and user cron jobs
sosplugin to collect the details on cron including the system and user cron jobs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sos (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: 5.4
Assigned To: Adam Stokes
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-25 16:15 EST by Vimal Kumar
Modified: 2012-11-02 14:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:31:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
crontab.py (476 bytes, application/octet-stream)
2009-02-25 16:15 EST, Vimal Kumar
no flags Details

  None (edit)
Description Vimal Kumar 2009-02-25 16:15:00 EST
Created attachment 333234 [details]
crontab.py

A sos plugin to gather the details on the system cron jobs and user specific cron jobs. This could help if there are cron jobs resetting any sort of system configurations, and one would not suspect a cron job in the scenario.


Steps to Reproduce:
-----------------------

a) Create a new file named 'crontab.py' in the sos plugins directory '/usr/lib/python2.4/site-packages/sos/plugins/'.

b) Add the following content in the file 'crontab.py' :
  
<snip>
import sos.plugintools
import os

class crontab(sos.plugintools.PluginBase):
    """ System and User's crontab details
    """
    
    def setup(self):
        self.addCopySpec("/etc/cron*")
        self.collectExtOutput("/usr/bin/crontab -l -u root", suggest_filename = "root_crontab")
        self.collectExtOutput("""for i in `ls /home/`;\
        do echo "User :" $i;/usr/bin/crontab -l -u $i;\
        echo "---------------";done""", suggest_filename = "users_crontab")
        return
</snip>

c) The above steps will create the sos plugin named 'crontab'. This plugin can be run individually using the command 'sosreport --only-plugins=crontab'. 

d) The collected details are :

 (i) The file under /etc/ starting with 'cron'.
 
 (ii) Collect the root user's crontab in the file 'sos_commands/crontab/root_crontab'.

 (iv) Collect the individual cron settings of every user under /home and save it under 'sos_commands/crontab/users_crontab'.
Comment 6 errata-xmlrpc 2009-09-02 03:31:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1418.html

Note You need to log in before you can comment on or make changes to this bug.